techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Customer Locations
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
        GET
      • Location Details
        GET
      • Create Location
        POST
      • Update Location
        PATCH
      • Update Location Image
        POST
      • Delete Location
        DELETE
    • List Received Notifications
      GET
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Customer Locations

Location Details

GET
https://api.techrar.com/api/v1/customers/me/locations/{location_id}/
This endpoint allows you to return the details for a specific customer location by passing the location_id as a path parameter.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/customers/me/locations/9315/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 9315,
    "custom_fields": null,
    "city": {
        "id": 4,
        "custom_fields": null,
        "app_id": null,
        "created_at": "2022-08-10T23:37:09.490501+03:00",
        "modified_at": "2024-03-04T17:12:39.591659+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "Riyadh",
        "name_en": "Riyadh",
        "country_code": "SA",
        "keywords": "Riyadh,riyadh,الرياض,الدرعية,Ad Diriyah,Diriyah,diriyah,ad diriyah,diriyah,Diriyah,al uyaynah,uyaynah",
        "is_supported": true
    },
    "location_url": "https://maps.google.com/?q=24.90686247735425,46.43646496419804",
    "app_id": null,
    "created_at": "2024-03-04T17:05:17.387460+03:00",
    "modified_at": "2025-10-20T13:03:20.901835+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "name_ar": "home",
    "name_en": "home",
    "longitude": "46.43646496419804",
    "latitude": "24.90686247735425",
    "address1": "RJJA7502، 7502 عقرباء 146، 3918, Al Uyaynah 13953, Saudi Arabia",
    "address2": null,
    "place_id": "ChIJ3zXPZ8rGLj4R4rvKB7vyYgM",
    "postal_code": "13953",
    "formatted_address": "RJJA7502، 7502 عقرباء 146، 3918, Al Uyaynah 13953, Saudi Arabia",
    "district": null,
    "district_ar": null,
    "city_name_en": "Al Uyaynah",
    "city_name_ar": null,
    "route": "عقرباء 146",
    "street_number": "7502",
    "is_synced": true,
    "type": "home",
    "description": "Building: -, Floor: -, Office: -, Notes: -",
    "is_default": false,
    "image": null,
    "deleted_from": null,
    "agnostic_city_id": null,
    "agnostic_district_id": null,
    "zone": null,
    "customer_profile": 1
}
Modified at 2025-10-22 12:42:37
Previous
List Locations
Next
Create Location
Built with